Bug 1712913 - Split out the doxygen docs from the i3-doc package
Summary: Split out the doxygen docs from the i3-doc package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: i3
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Dan Čermák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-22 13:13 UTC by Brendan Mchugh
Modified: 2019-11-27 00:23 UTC (History)
7 users (show)

Fixed In Version: i3-4.17.1-2.fc29 i3-4.17.1-2.fc30 i3-4.17.1-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-26 16:47:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Brendan Mchugh 2019-05-22 13:13:32 UTC
Description of problem:
As a user I would expect the i3-doc package to include the just the user docs as in the upstream userguide. https://i3wm.org/docs/userguide.html

However the i3-doc package additionally includes almost 300MB of doxygen content which would be better split out to a separate package for those that really require it rather than bloating the i3-doc package by 30000%.


Version-Release number of selected component (if applicable):
i3-doc-4.16.1-1.fc30.noarch

How reproducible:
Always

Steps to Reproduce:
1. dnf install i3-doc
2.
3.

Actual results:
$ du -sk /usr/share/doc/i3-doc
292632	/usr/share/doc/i3-doc
$ du -sk /usr/share/doc/i3-doc/doxygen
291776	/usr/share/doc/i3-doc/doxygen


Expected results:
$ du -sk /usr/share/doc/i3-doc
856	/usr/share/doc/i3-doc


Additional info:
Second largest package on fresh F30 Workstation installation after adding i3 and i3-doc. 

$ rpm -qa --queryformat '%{name} %{size}\n' | sort -n -k 2 | grep -C 1 i3-doc
firefox 265928866
i3-doc 284612163
libreoffice-core 317116454

Comment 1 Fedora Update System 2019-11-13 19:55:29 UTC
FEDORA-2019-7fee060dee has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7fee060dee

Comment 2 Fedora Update System 2019-11-13 20:29:21 UTC
FEDORA-2019-1a6bb7a0a6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a6bb7a0a6

Comment 3 Fedora Update System 2019-11-13 20:36:23 UTC
FEDORA-2019-aaea499a85 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aaea499a85

Comment 4 Fedora Update System 2019-11-14 00:51:17 UTC
i3-4.17.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a6bb7a0a6

Comment 5 Fedora Update System 2019-11-14 01:52:32 UTC
i3-4.17.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7fee060dee

Comment 6 Fedora Update System 2019-11-14 02:22:37 UTC
i3-4.17.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aaea499a85

Comment 7 Fedora Update System 2019-11-17 23:44:10 UTC
FEDORA-2019-37a02c560b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-37a02c560b

Comment 8 Fedora Update System 2019-11-17 23:45:25 UTC
FEDORA-2019-6b14620bda has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b14620bda

Comment 9 Fedora Update System 2019-11-17 23:46:18 UTC
FEDORA-2019-b9ed027c2b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9ed027c2b

Comment 10 Fedora Update System 2019-11-18 02:15:15 UTC
i3-4.17.1-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6b14620bda

Comment 11 Fedora Update System 2019-11-18 03:07:46 UTC
i3-4.17.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b9ed027c2b

Comment 12 Fedora Update System 2019-11-18 04:57:57 UTC
i3-4.17.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-37a02c560b

Comment 13 Fedora Update System 2019-11-26 16:47:59 UTC
i3-4.17.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-11-26 23:51:37 UTC
i3-4.17.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-11-27 00:23:31 UTC
i3-4.17.1-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.